/**
 * @file
 * Contains online_status.js.
 */
(function ($, Drupal) {
  'use strict';
  Drupal.behaviors.UserOnlineStatus = {
    attach: function (context, settings) {

      $('.user-online-status', context).once('onlineStatus').each(function () {

        // UID.
        var uid = settings.user_online_status.uid;

        // Check status.
        $.getJSON('/online-status/' + uid, function (result) {

          if (result.online_status) {
            printOnlineStatus(result.online_status);
          }

        });

        // Print status.
        var printOnlineStatus = function (status) {
          $('.user-online-status.user-' + uid + ' .status').addClass(status).html(status);
        }

      });

    }
  };
})(jQuery, Drupal);
